:TITLE

WD DSP
:KEY
WDC31

:FILES :MODE=PRIMARY
DSPRES.DL_   %BOOTDRIVE%:\OS2\DLL
BVHSVGA.DL_  %BOOTDRIVE%:\OS2\DLL
VSVGA.SY_    %BOOTDRIVE%:\OS2\MDOS
WD90C24.DL_  %BOOTDRIVE%:\OS2\DLL

:FILES :MODE=PRIMARY :MODE=WINDOWS
WINDRV16.DR_   %WINPATH%\SYSTEM
WINDRV_8.DR_   %WINPATH%\SYSTEM
WINFONTS       %WINPATH%\SYSTEM

:CONFIG :MODE=PRIMARY
DEVINFO=SCR,VGA,%BOOTDRIVE%:\OS2\VIOTBL.DCP
SET VIDEO_DEVICES=VIO_SVGA
SET VIO_SVGA=DEVICE(BVHVGA,BVHSVGA)

:CONFIG :MODE=PRIMARY :MODE=BIDI
SET VIO_VGA=DEVICE(BVHVGA,BVHSVGA,BDBVH)

:CONFIG :MODE=PRIMARY :MODE=DOS
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VSVGA.SYS

:CONFIG :MODE=DUAL :MODE=DOS
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VSVGA.SYS

:DEL_CONFIG_LINE :MODE=PRIMARY

*:DELETING XGA LINES FOR PROTECT MODE
DEVICE=%BOOTDRIVE%:\OS2\XGARING0.SYS
DEVICE=%BOOTDRIVE%:\OS2\XGA.SYS
BASEDEV=XGA.SYS
SET VIO_XGA=DEVICE(BVHVGA,BVHXGA)

*:DELETING BGA LINES FOR PROTECT MODE
DEVINFO=SCR,BGA,%BOOTDRIVE%:\OS2\VIOTBL.DCP
SET VIO_8514A=DEVICE(BVHVGA,BVH8514A)

*:DELETING CGA LINES FOR PROTECT MODE
DEVINFO=SCR,EGA,%BOOTDRIVE%:\OS2\VIOTBL.DCP
SET VIO_CGA=DEVICE(BVHCGA)

*:DELETING EGA LINES FOR PROTECT MODE
DEVINFO=SCR,EGA,%BOOTDRIVE%:\OS2\VIOTBL.DCP
SET VIO_EGA=DEVICE(BVHEGA)

*:DELETING VGA LINES FOR PROTECT MODE
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VVGA.SYS
SET VIO_VGA=DEVICE(BVHVGA)

:DEL_CONFIG_LINE :MODE=PRIMARY :MODE=DOS

*:DELETING S3 CORPS. DRIVERS STATEMENT FOR REAL MODE
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VENH.SYS

*:DELETING XGA LINES FOR REAL MODE
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VXGA.SYS

*:DELETING BGA LINES FOR REAL MODE
DEVICE=%BOOTDRIVE%:\OS2\MDOS\V8514A.SYS

*:DELETING CGA LINES FOR REAL MODE
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VCGA.SYS

*:DELETING EGA LINES FOR REAL MODE
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VEGA.SYS

*:DELETING VGA LINES FOR REAL MODE
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VVGA.SYS

:OS2INI :MODE=PRIMARY
%BOOTDRIVE%:\OS2\INSTALL\REINSTAL.INI
InstallWindow VIOADAPTERSTR 7

:OS2INI :MODE=SECONDARY
%BOOTDRIVE%:\OS2\INSTALL\REINSTAL.INI
InstallWindow VIOADAPTER2STR 7

:OS2INI :MODE=PRIMARY
OS2.INI
PM_DISPLAYDRIVERS  WD90C24        WD90C24
PM_DISPLAYDRIVERS  CURRENTDRIVER  WD90C24
PM_DISPLAYDRIVERS  DEFAULTDRIVER  WD90C24
PM_Fonts           COURIERI
PM_Fonts           HELVI
PM_Fonts           TIMESI

* note graphics engine makes update to system.ini and win.ini based on
* the entries below for each resolution selected in the system folder
* PM_DISPLAYDRIVERS RESOLUTION_CHANGED 1 triggers graphics engine to
* makes its updates during reboot.

:OS2INI :MODE=PRIMARY :MODE=WINDOWS
OS2.INI
PM_DISPLAYDRIVERS RESOLUTION_CHANGED 1
WIN_RES_640x480x256    WIN_RES_SET    WIN_RES_WD_0
WIN_RES_800x600x256    WIN_RES_SET    WIN_RES_WD_1
WIN_RES_1024x768x256   WIN_RES_SET    WIN_RES_WD_2
WIN_RES_640x480x65536  WIN_RES_SET    WIN_RES_WD_3
WIN_RES_640x480x65536  WIN_RES_SET    WIN_RES_WD_4
WIN_RES_WD_0   1  "system.ini boot sdisplay.drv wd31_8sl.drv"
WIN_RES_WD_0   2  "system.ini boot display.drv wd31_8.drv"
WIN_RES_WD_0   3  "system.ini boot fonts.fon vgasys.fon"
WIN_RES_WD_0   4  "system.ini boot fixedfon.fon vgafix.fon"
WIN_RES_WD_0   5  "system.ini boot oemfonts.fon vgaoem.fon"
WIN_RES_WD_0   6  "system.ini boot.description display.drv \"256 Color wdc31 accelerated\""
WIN_RES_WD_0   7  "system.ini wd31_8sl.drv WidthxHeight  640x480"
WIN_RES_WD_0   8  "system.ini wdcvga31.drv WidthxHeight  640x480"
WIN_RES_WD_0   9  "win.ini fonts \"Symbol %ANYSTRING%\"
WIN_RES_WD_0  10  "win.ini fonts \"Helv %ANYSTRING%\"
WIN_RES_WD_0  11  "win.ini fonts \"Tms Rmn %ANYSTRING%\"
WIN_RES_WD_0  12  "win.ini fonts \"Courier %ANYSTRING%\"
WIN_RES_WD_0  13  "win.ini fonts \"MS Sans Serif %ANYSTRING%\"
WIN_RES_WD_0  14  "win.ini fonts \"MS Serif %ANYSTRING%\"
WIN_RES_WD_0  15  "win.ini fonts \"Small Fonts %ANYSTRING%\"
WIN_RES_WD_0  16  "win.ini fonts \"MS Sans Serif 8,10,12,14,18,24 (VGA res)\"  sserife.fon"
WIN_RES_WD_0  17  "win.ini fonts \"Courier 10,12,15 (VGA res)\"                coure.fon"
WIN_RES_WD_0  18  "win.ini fonts \"MS Serif 8,10,12,14,18,24 (VGA res)\"       serife.fon"
WIN_RES_WD_0  19  "win.ini fonts \"Symbol 8,10,12,14,18,24 (VGA res)\"         symbole.fon"
WIN_RES_WD_0  20  "win.ini fonts \"Small Fonts (VGA res)\"                     smalle.fon"
WIN_RES_WD_1   1  "system.ini boot sdisplay.drv wd31_8sl.drv"
WIN_RES_WD_1   2  "system.ini boot display.drv wd31_8.drv"
WIN_RES_WD_1   3  "system.ini boot fonts.fon vgasys.fon"
WIN_RES_WD_1   4  "system.ini boot fixedfon.fon vgafix.fon"
WIN_RES_WD_1   5  "system.ini boot oemfonts.fon vgaoem.fon"
WIN_RES_WD_1   6  "system.ini boot.description display.drv \"256 Color wdc31 accelerated\""
WIN_RES_WD_1   7  "system.ini wd31_8sl.drv  WidthxHeight  800x600
WIN_RES_WD_1   8  "system.ini wdcvga31.drv  WidthxHeight  800x600
WIN_RES_WD_1   9  "win.ini fonts \"Symbol %ANYSTRING%\"
WIN_RES_WD_1  10  "win.ini fonts \"Helv %ANYSTRING%\"
WIN_RES_WD_1  11  "win.ini fonts \"Tms Rmn %ANYSTRING%\"
WIN_RES_WD_1  12  "win.ini fonts \"Courier %ANYSTRING%\"
WIN_RES_WD_1  13  "win.ini fonts \"MS Sans Serif %ANYSTRING%\"
WIN_RES_WD_1  14  "win.ini fonts \"MS Serif %ANYSTRING%\"
WIN_RES_WD_1  15  "win.ini fonts \"Small Fonts %ANYSTRING%\"
WIN_RES_WD_1  16  "win.ini fonts \"MS Sans Serif 8,10,12,14,18,24 (VGA res)\"  sserife.fon"
WIN_RES_WD_1  17  "win.ini fonts \"Courier 10,12,15 (VGA res)\"                coure.fon"
WIN_RES_WD_1  18  "win.ini fonts \"MS Serif 8,10,12,14,18,24 (VGA res)\"       serife.fon"
WIN_RES_WD_1  19  "win.ini fonts \"Symbol 8,10,12,14,18,24 (VGA res)\"         symbole.fon"
WIN_RES_WD_1  20  "win.ini fonts \"Small Fonts (VGA res)\"                     smalle.fon"
WIN_RES_WD_2   1  "system.ini boot sdisplay.drv wd31_8sl.drv"
WIN_RES_WD_2   2  "system.ini boot display.drv wd31_8.drv"
WIN_RES_WD_2   3  "system.ini boot fonts.fon xgasys.fon"
WIN_RES_WD_2   4  "system.ini boot fixedfon.fon xgafix.fon"
WIN_RES_WD_2   5  "system.ini boot oemfonts.fon xgaoem.fon"
WIN_RES_WD_2   6  "system.ini boot.description display.drv \"256 Color wdc31 accelerated\""
WIN_RES_WD_2   7  "system.ini wd31_8sl.drv WidthxHeight  1024x768"
WIN_RES_WD_2   8  "system.ini wdcvga31.drv WidthxHeight  1024x768"
WIN_RES_WD_2   9  "win.ini fonts \"Symbol %ANYSTRING%\"
WIN_RES_WD_2  10  "win.ini fonts \"Helv %ANYSTRING%\"
WIN_RES_WD_2  11  "win.ini fonts \"Tms Rmn %ANYSTRING%\"
WIN_RES_WD_2  12  "win.ini fonts \"Courier %ANYSTRING%\"
WIN_RES_WD_2  13  "win.ini fonts \"MS Sans Serif %ANYSTRING%\"
WIN_RES_WD_2  14  "win.ini fonts \"MS Serif %ANYSTRING%\"
WIN_RES_WD_2  15  "win.ini fonts \"Small Fonts %ANYSTRING%\"
WIN_RES_WD_2  16  "win.ini fonts \"MS Sans Serif 8,10,12,14,18,24 (XGA res)\"  sserifg.fon"
WIN_RES_WD_2  17  "win.ini fonts \"Courier 10,12,15 (XGA res)\"                courg.fon"
WIN_RES_WD_2  18  "win.ini fonts \"MS Serif 8,10,12,14,18,24 (XGA res)\"       serifg.fon"
WIN_RES_WD_2  19  "win.ini fonts \"Symbol 8,10,12,14,18,24 (XGA res)\"         symbolg.fon"
WIN_RES_WD_2  20  "win.ini fonts \"Small Fonts (XGA res)\"                     smallg.fon"
WIN_RES_WD_3   1  "system.ini boot sdisplay.drv p64s480.drv"
WIN_RES_WD_3   2  "system.ini boot display.drv p64k480.drv"
WIN_RES_WD_3   3  "system.ini boot fonts.fon vgasys.fon"
WIN_RES_WD_3   4  "system.ini boot fixedfon.fon vgafix.fon"
WIN_RES_WD_3   5  "system.ini boot oemfonts.fon vgaoem.fon"
WIN_RES_WD_3   6  "system.ini boot.description display.drv \"640x480x65536 wdc31 accelerated\""
WIN_RES_WD_3   7  "system.ini wd31_8sl.drv  WidthxHeight  640x480
WIN_RES_WD_3   8  "system.ini wdcvga31.drv  WidthxHeight  640x480
WIN_RES_WD_3   9  "win.ini fonts \"Symbol %ANYSTRING%\"
WIN_RES_WD_3  10  "win.ini fonts \"Helv %ANYSTRING%\"
WIN_RES_WD_3  11  "win.ini fonts \"Tms Rmn %ANYSTRING%\"
WIN_RES_WD_3  12  "win.ini fonts \"Courier %ANYSTRING%\"
WIN_RES_WD_3  13  "win.ini fonts \"MS Sans Serif %ANYSTRING%\"
WIN_RES_WD_3  14  "win.ini fonts \"MS Serif %ANYSTRING%\"
WIN_RES_WD_3  15  "win.ini fonts \"Small Fonts %ANYSTRING%\"
WIN_RES_WD_3  16  "win.ini fonts \"MS Sans Serif 8,10,12,14,18,24 (VGA res)\"  sserife.fon"
WIN_RES_WD_3  17  "win.ini fonts \"Courier 10,12,15 (VGA res)\"                coure.fon"
WIN_RES_WD_3  18  "win.ini fonts \"MS Serif 8,10,12,14,18,24 (VGA res)\"       serife.fon"
WIN_RES_WD_3  19  "win.ini fonts \"Symbol 8,10,12,14,18,24 (VGA res)\"         symbole.fon"
WIN_RES_WD_3  20  "win.ini fonts \"Small Fonts (VGA res)\"                     smalle.fon"
WIN_RES_WD_4   1  "system.ini boot sdisplay.drv p64s600.drv"
WIN_RES_WD_4   2  "system.ini boot display.drv p64k600.drv"
WIN_RES_WD_4   3  "system.ini boot fonts.fon vgasys.fon"
WIN_RES_WD_4   4  "system.ini boot fixedfon.fon vgafix.fon"
WIN_RES_WD_4   5  "system.ini boot oemfonts.fon vgaoem.fon"
WIN_RES_WD_4   6  "system.ini boot.description display.drv \"800x600x65536 wdc31 accelerated\""
WIN_RES_WD_4   7  "system.ini wd31_8sl.drv  WidthxHeight  800x600
WIN_RES_WD_4   8  "system.ini wdcvga31.drv  WidthxHeight  800x600
WIN_RES_WD_4   9  "win.ini fonts \"Symbol %ANYSTRING%\"
WIN_RES_WD_4  10  "win.ini fonts \"Helv %ANYSTRING%\"
WIN_RES_WD_4  11  "win.ini fonts \"Tms Rmn %ANYSTRING%\"
WIN_RES_WD_4  12  "win.ini fonts \"Courier %ANYSTRING%\"
WIN_RES_WD_4  13  "win.ini fonts \"MS Sans Serif %ANYSTRING%\"
WIN_RES_WD_4  14  "win.ini fonts \"MS Serif %ANYSTRING%\"
WIN_RES_WD_4  15  "win.ini fonts \"Small Fonts %ANYSTRING%\"
WIN_RES_WD_4  16  "win.ini fonts \"MS Sans Serif 8,10,12,14,18,24 (VGA res)\"  sserife.fon"
WIN_RES_WD_4  17  "win.ini fonts \"Courier 10,12,15 (VGA res)\"                coure.fon"
WIN_RES_WD_4  18  "win.ini fonts \"MS Serif 8,10,12,14,18,24 (VGA res)\"       serife.fon"
WIN_RES_WD_4  19  "win.ini fonts \"Symbol 8,10,12,14,18,24 (VGA res)\"         symbole.fon"
WIN_RES_WD_4  20  "win.ini fonts \"Small Fonts (VGA res)\"                     smalle.fon"

* customize icon spacing for s3 below
:WININI :MODE=PRIMARY :MODE=WINDOWS
WIN.INI
Desktop IconSpacing 100

* system.ini entries below are written during the display installation.
* graphics engines then updates the system.ini based on the resolution
* selected from above entries.  Therefore, put common system.ini entries below

:WININI :MODE=PRIMARY :MODE=WINDOWS
SYSTEM.INI
boot  useos2shield 1
boot  os2shield winsheld.exe
wd31_8sl.drv  fontsize  96
wd31_8sl.drv  dacdepth   6
wd31_8sl.drv  Enable216  0
wdcvga31.drv  fontsize  96
wdcvga31.drv  dacdepth   6
wdcvga31.drv  Enable216  0


